SoFaceDetail(3IV)

NAME
SoFaceDetail — stores detail information about vertex-based shapes made of faces

INHERITS FROM
SoDetail > SoFaceDetail

SYNOPSIS
#include <Inventor/details/SoFaceDetail.h>

Methods from class SoFaceDetail:

SoFaceDetail()
virtual
~SoFaceDetail()
long
getNumPoints() const
const SoPointDetail *
getPoint(int i) const
int32_t
getFaceIndex() const
int32_t
getPartIndex() const
static SoType
getClassTypeId()

Methods from class SoDetail:

SoDetail *
copy() const
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const

DESCRIPTION
This class contains detail information about a point on a face in a vertex-based shape made of faces. The information includes the number of points in the face, the points forming the vertices of the face, and the index of the face within the shape.

Note that when an SoFaceDetail is returned from picking (in an SoPickedPoint), it will contain details for all points defining the face that was intersected. However, when an SoFaceDetail is created for a triangle produced during primitive generation (in an SoPrimitiveVertex), it will contain details for only the three vertices of the triangle.

METHODS

SoFaceDetail()
virtual
~SoFaceDetail()
Constructor and destructor.

long
getNumPoints() const
Returns the number of points in the face.

const SoPointDetail *
getPoint(int i) const
Returns information about the point forming the i'th vertex of the face, represented as an SoPointDetail.

int32_t
getFaceIndex() const
Returns the index of the face within the shape.

int32_t
getPartIndex() const
Returns the index of the part containing the face within the shape.

static SoType
getClassTypeId()
Returns type identifier for this class.

SEE ALSO
SoDetail, SoPickedPoint, SoPrimitiveVertex, SoVertexShape